	format	MS COFF
	extrn	___bb_basic_basic
	extrn	___bb_blitz_blitz
	extrn	___bb_drivers_drivers
	extrn	___bb_eventqueue_eventqueue
	extrn	___bb_glmax2d_glmax2d
	extrn	___bb_pngloader_pngloader
	extrn	___bb_proxygadgets_proxygadgets
	extrn	_bbEnd
	extrn	_bbNullObject
	extrn	_bbStringClass
	extrn	_bbStringConcat
	extrn	_bbStringFromInt
	extrn	_brl_eventqueue_EventData
	extrn	_brl_eventqueue_EventID
	extrn	_brl_eventqueue_EventSource
	extrn	_brl_eventqueue_WaitEvent
	extrn	_brl_graphics_Flip
	extrn	_brl_graphics_SetGraphics
	extrn	_brl_max2d_DrawPixmap
	extrn	_brl_pixmap_LoadPixmap
	extrn	_maxgui_maxgui_CanvasGraphics
	extrn	_maxgui_maxgui_CreateCanvas
	extrn	_maxgui_maxgui_CreatePanel
	extrn	_maxgui_maxgui_CreateSlider
	extrn	_maxgui_maxgui_CreateWindow
	extrn	_maxgui_maxgui_GadgetHeight
	extrn	_maxgui_maxgui_GadgetWidth
	extrn	_maxgui_maxgui_RedrawGadget
	extrn	_maxgui_maxgui_SetGadgetShape
	extrn	_maxgui_maxgui_SetSliderRange
	extrn	_maxgui_maxgui_SetStatusText
	public	__bb_main
	section	"code" code
__bb_main:
	push	ebp
	mov	ebp,esp
	sub	esp,28
	push	ebx
	push	esi
	push	edi
	cmp	dword [_45],0
	je	_46
	mov	eax,0
	pop	edi
	pop	esi
	pop	ebx
	mov	esp,ebp
	pop	ebp
	ret
_46:
	mov	dword [_45],1
	call	___bb_blitz_blitz
	call	___bb_glmax2d_glmax2d
	call	___bb_eventqueue_eventqueue
	call	___bb_pngloader_pngloader
	call	___bb_drivers_drivers
	call	___bb_proxygadgets_proxygadgets
	call	___bb_basic_basic
	push	_17
	call	_brl_pixmap_LoadPixmap
	add	esp,4
	mov	dword [ebp-12],eax
	push	15
	push	_bbNullObject
	push	400
	push	400
	push	10
	push	100
	push	_18
	call	_maxgui_maxgui_CreateWindow
	add	esp,28
	mov	dword [ebp-28],eax
	push	_1
	push	5
	push	dword [ebp-28]
	push	240
	push	320
	push	20
	push	30
	call	_maxgui_maxgui_CreatePanel
	add	esp,28
	mov	esi,eax
	mov	dword [ebp-4],600
	mov	edi,800
	push	0
	push	esi
	push	dword [ebp-4]
	push	edi
	push	0
	push	0
	call	_maxgui_maxgui_CreateCanvas
	add	esp,24
	mov	ebx,eax
	push	ebx
	call	_maxgui_maxgui_CanvasGraphics
	add	esp,4
	push	eax
	call	_brl_graphics_SetGraphics
	add	esp,4
	push	0
	push	0
	push	dword [ebp-12]
	call	_brl_max2d_DrawPixmap
	add	esp,12
	mov	dword [ebp-16],0
	mov	dword [ebp-8],0
	push	2
	push	dword [ebp-28]
	push	esi
	call	_maxgui_maxgui_GadgetHeight
	add	esp,4
	push	eax
	push	20
	push	20
	push	esi
	call	_maxgui_maxgui_GadgetWidth
	add	esp,4
	add	eax,30
	push	eax
	call	_maxgui_maxgui_CreateSlider
	add	esp,24
	mov	dword [ebp-24],eax
	push	1
	push	dword [ebp-28]
	push	20
	push	esi
	call	_maxgui_maxgui_GadgetWidth
	add	esp,4
	push	eax
	push	esi
	call	_maxgui_maxgui_GadgetHeight
	add	esp,4
	add	eax,20
	push	eax
	push	30
	call	_maxgui_maxgui_CreateSlider
	add	esp,24
	mov	dword [ebp-20],eax
	push	dword [ebp-4]
	push	esi
	call	_maxgui_maxgui_GadgetHeight
	add	esp,4
	push	eax
	push	dword [ebp-24]
	call	_maxgui_maxgui_SetSliderRange
	add	esp,12
	push	edi
	push	esi
	call	_maxgui_maxgui_GadgetWidth
	add	esp,4
	push	eax
	push	dword [ebp-20]
	call	_maxgui_maxgui_SetSliderRange
	add	esp,12
_21:
_19:
	call	_brl_eventqueue_WaitEvent
	call	_brl_eventqueue_EventID
	cmp	eax,16387
	je	_38
	cmp	eax,8193
	je	_39
	cmp	eax,8194
	je	_40
	jmp	_37
_38:
	call	_bbEnd
	jmp	_37
_39:
	call	_brl_eventqueue_EventSource
	cmp	eax,dword [ebp-20]
	je	_43
	cmp	eax,dword [ebp-24]
	je	_44
	jmp	_42
_43:
	call	_brl_eventqueue_EventData
	mov	dword [ebp-16],eax
	jmp	_42
_44:
	call	_brl_eventqueue_EventData
	mov	dword [ebp-8],eax
	jmp	_42
_42:
	push	ebx
	call	_maxgui_maxgui_RedrawGadget
	add	esp,4
	jmp	_37
_40:
	push	ebx
	call	_maxgui_maxgui_CanvasGraphics
	add	esp,4
	push	eax
	call	_brl_graphics_SetGraphics
	add	esp,4
	push	ebx
	call	_maxgui_maxgui_GadgetHeight
	add	esp,4
	push	eax
	push	ebx
	call	_maxgui_maxgui_GadgetWidth
	add	esp,4
	push	eax
	mov	eax,dword [ebp-8]
	neg	eax
	push	eax
	mov	eax,dword [ebp-16]
	neg	eax
	push	eax
	push	ebx
	call	_maxgui_maxgui_SetGadgetShape
	add	esp,20
	push	-1
	call	_brl_graphics_Flip
	add	esp,4
	jmp	_37
_37:
	push	dword [ebp-8]
	call	_bbStringFromInt
	add	esp,4
	push	eax
	push	_23
	push	dword [ebp-16]
	call	_bbStringFromInt
	add	esp,4
	push	eax
	push	_22
	call	_bbStringConcat
	add	esp,8
	push	eax
	call	_bbStringConcat
	add	esp,8
	push	eax
	call	_bbStringConcat
	add	esp,8
	push	eax
	push	dword [ebp-28]
	call	_maxgui_maxgui_SetStatusText
	add	esp,8
	jmp	_21
	section	"data" data writeable align 8
	align	4
_45:
	dd	0
	align	4
_17:
	dd	_bbStringClass
	dd	2147483647
	dd	10
	dw	83,112,108,97,115,104,46,112,110,103
	align	4
_18:
	dd	_bbStringClass
	dd	2147483647
	dd	24
	dw	83,99,114,111,108,108,105,110,103,32,67,97,110,118,97,115
	dw	32,69,120,97,109,112,108,101
	align	4
_1:
	dd	_bbStringClass
	dd	2147483647
	dd	0
	align	4
_23:
	dd	_bbStringClass
	dd	2147483647
	dd	7
	dw	44,32,73,109,103,89,61
	align	4
_22:
	dd	_bbStringClass
	dd	2147483647
	dd	5
	dw	73,109,103,88,61
